DEVINFO(8S)

NAME
devinfo - print out system device information

SYNOPSIS
/usr/etc/devinfo [ -pv ] [ -f promdevice ]

AVAILABILITY

This program is available for desktop SPARCsystems and for the SPARCsystem 600MP series only.

DESCRIPTION

devinfo displays the devices that the system knows about. The output will state the name of the device, its unit number, and whether a system device driver has claimed it. Since the internal system representation of this information is an n-ary tree, indentation is used to denote a parent-child relationship, and devices reported at the same indentation level are considered sibling devices.

OPTIONS

-f  With the -p option, use the argument promdevice as the monitor PROM device, instead of the default /dev/openprom.

-p  Report the monitor's view of the attached devices, instead of the kernel's view.

-v  Report hardware specifications such as register addresses and interrupt priorities for each device.

EXAMPLE

The following example displays the format of devinfo output:
    example%  devinfo
    Node 'Sun 4/60', unit #0 (no driver)
    	Node 'options', unit #0 (no driver)
    	Node 'zs', unit #0
    	Node 'zs', unit #1
    	Node 'fd', unit #0
    	Node 'audio', unit #0
    	Node 'sbus', unit #0
    		Node 'dma', unit #0
    		Node 'esp', unit #0
    			Node 'st', unit #1 (no driver)
    			Node 'st', unit #0
    			Node 'sd', unit #3
    			Node 'sd', unit #2
    			Node 'sd', unit #1
    			Node 'sd', unit #0
    		Node 'le', unit #0
    		Node 'bwtwo', unit #0
    	Node 'auxiliary-io', unit #0
    	Node 'interrupt-enable', unit #0
    	Node 'memory-error', unit #0
    	Node 'counter-timer', unit #0
    	Node 'eeprom', unit #0

FILES
/dev/kmem
    to get kernel device information
/dev/openprom
    to get the monitor's device information